Skip to main content
Identities

获取 Identity

根据 ID 获取 Forward Identity。

GET /api/v1/forward/identities/{identity_id} 返回当前账号下的 Identity 详情。

请求头

Header是否必填说明
AuthorizationBearer <PAT 或 SAT>

路径参数

参数类型是否必填说明
identity_idstringForward Identity ID。

示例请求

curl -s -X GET 'https://api.qoder.com/api/v1/forward/identities/idn_019eabc123' \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

示例响应

HTTP 200 OK
{
  "id": "idn_019eabc123",
  "external_id": "user_456",
  "name": "Example User",
  "identity_type": "normal",
  "enabled": true,
  "metadata": {
    "channel": "web"
  },
  "created_at": "2026-06-18T10:00:00Z",
  "updated_at": "2026-06-18T10:00:00Z"
}

响应字段

字段类型说明
idstringForward Identity ID。
external_idstring集成方系统中的终端用户 ID。
namestringIdentity 展示名。
identity_typestringIdentity 类型。普通 Identity 返回 normal
enabledboolean是否允许继续使用该 Identity。
metadataobject业务元数据。
created_atstring创建时间,RFC 3339 格式。
updated_atstring最近更新时间,RFC 3339 格式。

错误

HTTPTypeCode触发条件
404not_found_error-Identity 不存在或当前调用方不可见。
401authentication_errorauthentication_requiredPAT 或 SAT 无效或已过期。
403permission_error-当前调用方无权访问该资源。

备注

  • 已停用的 Identity 仍可查询,但不能执行需要启用状态的操作。
  • 已删除的 Identity 不能继续用于创建 Session。

相关